# Release notes

## 0.0.25 (2021-04-29)

- Updated dependencies.
- Changed `forceDefault` per `enforceDefault`.

## 0.0.24 (2019-10-31)

- Added tags example to showcase client generated ids.
- Increased needed memory to 8192 to account for more tests.

## 0.0.23 (2019-09-25)

- Updated dependencies.

## 0.0.22 (2019-09-25)

- Updated dependencies.

## 0.0.21 (2019-09-25)

- Added docs note on filters.
- Updated dependencies.
- Updated extras call to match new Symbol variant.

## 0.0.20 (2019-09-03)

- Updated dependencies.

## 0.0.19 (2019-09-03)

- Updated dependencies.
- Added user `isAdmin` boolean attribute as example.

## 0.0.18 (2019-08-25)

- Updated dependencies.

## 0.0.17 (2019-08-25)

- Updated dependencies.

## 0.0.16 (2019-08-25)

- Updated dependencies.

## 0.0.15 (2019-08-23)

- Updated dependencies.
- Added `tags` field to Post schema as an example for lists. 

## 0.0.14 (2019-08-22)

- Updated `test` npm task to use the local installed mocha, to avoid global packages.

## 0.0.13 (2019-08-22)

- Updated dependencies.
- Added npm `start` & `kill-dynamodb` tasks.
- Added `address` example map to User model.
- Increased memory of `watch` task.
- Added `mediaType` to standalone handler.
- Authorized to perform `dynamodb:Query` on Index.

## 0.0.12 (2019-08-18)

- Updating `serverless-http` to fix https://github.com/dougmoscrop/serverless-http/issues/117.

## 0.0.11 (2019-08-18)

- Updated dependencies.

## 0.0.10 (2019-08-17)

- Updated dependencies.

## 0.0.9 (2019-08-13)

- Further updated dependencies.

## 0.0.8 (2019-08-13)

- Added `postinstall` for local DynamoDB installation.

## 0.0.7 (2019-08-11)

- Updated dependencies and make the needed adjustments to application code.
- Added testing support & low-level integration tests.

## 0.0.6 (2019-05-18)

- Added testing support & low-level integration tests.

## 0.0.5 (2019-05-07)

- Added basic Lambda workflow.
- Added `standalone` related files with other `lambda.invoke` examples.

## 0.0.4 (2019-05-04)

- Added deployment and local development scripts.

## 0.0.3 (2019-05-04)

- Added user's posts nested routes as an example.
- Added custom validation example in the post model.

## 0.0.2 (2019-05-02)

- docs: Added example routes sections in the README.
- Added compiled folder to gitignore.
- Added related Post example functionality.
- Bumped `@vifros/serverless-json-api` version.

## 0.0.1 (2019-04-30)

- Added `info` related routes.
- Bumped `@vifros/serverless-json-api` version.

## 0.0.0 (2019-04-28)

- Initial package publication.
